#!/usr/bin/env python3
# -*- coding: utf-8 -*-

'''REST API test for Fulvio'''

# Third-party modules
from flask import Response, make_response, render_template, request
from flask_restx import Namespace, Resource, fields

# Custom modules
# import devices

############################
# WEB VIEW
############################

web = Namespace('fulvio', description='Web fulvio test pages')

@web.route("/test")
class TestWeb(Resource):
    """First get/post test web page of Fulvio."""

    def get(self):
        """GET fulvio test web page."""
        data = {}
        return make_response(render_template("other/fulvio.html", data=data))

